#!/bin/bash 

for JPGINPUT in *.jpg ; do 
JPGPREVIEW=${JPGINPUT/.jpg/-color-preview.jpeg} 
TRANSITIONALOUTPUT=${JPGINPUT/.jpg/.mpc} 
CACHEOUTPUT=${JPGINPUT/.jpg/.cache} 
TIFFOUTPUT=${TRANSITIONALOUTPUT/.mpc/.tiff} 

echo "* Converting RGB $JPGINPUT to CMYK $TIFFOUTPUT" 
echo "-------------------------------------------------------"

# Things I tried:
# -function polynomial "0.45, 0.25"
# -brightness-contrast 0x5
# -gamma 0.95
# +level 50,100%
# -gamma 0.8,1.3,1.0
#  +level 5,85% -brightness-contrast 0x20 
# -fx '(1/(1+exp(10*(.5-u)))-0.006693)*1.013567'
# -sigmoidal-contrast 10,50%
# +level !10%,90%,1.0

# 1. generate a HALDCLUT
# convert hald:16 hald-clut16.png
# 2. Apply a color transform with Krita/GMIC to a picture, then apply the same to the CLUT.
# 

# color corrections A
convert "$JPGINPUT" -profile "/home/deevad/resources/icc/sRGB-elle-V2-srgbtrc.icc" hald-clut16.png -hald-clut "$TRANSITIONALOUTPUT"

# create a color corrections preview
# convert "$TRANSITIONALOUTPUT" -profile "/home/deevad/resources/icc/sRGB-elle-V2-srgbtrc.icc" "$JPGPREVIEW"

# CMYKify
convert "$TRANSITIONALOUTPUT" -profile "/home/deevad/resources/icc/sRGB-elle-V2-srgbtrc.icc" -intent Relative -black-point-compensation -profile "/home/deevad/resources/icc/CGATS21_CRPC1.icc" -density 300 -units pixelsperinch -compress zip "$TIFFOUTPUT"

# clean up
rm "$TRANSITIONALOUTPUT"
rm "$CACHEOUTPUT"

done 
echo Job list finished
